"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderOptionSet = void 0;
const prettier_1 = require("prettier");
const fs_1 = require("fs");
const handlebars_1 = require("handlebars");
const renderOptionSet = (meta) => {
    const templateName = 'template-earlybound-optionSet';
    const templateBuffer = fs_1.readFileSync(`${__dirname}/${templateName}.hbs`);
    const template = handlebars_1.compile(templateBuffer.toString());
    // eslint-disable-next-line no-param-reassign
    meta = meta.sort((a, b) => a.Name.localeCompare(b.Name));
    const dts = template({ meta });
    const formatted = prettier_1.format(dts, { parser: 'typescript' });
    return formatted;
};
exports.renderOptionSet = renderOptionSet;
exports.default = exports.renderOptionSet;
//# sourceMappingURL=renderer-optionSet.js.map